Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.linemerge
Class LineMergeGraph

    java.lang.Object
      com.vividsolutions.jts.planargraph.PlanarGraph
          com.vividsolutions.jts.operation.linemerge.LineMergeGraph

    public class LineMergeGraph

extends PlanarGraph

A planar graph of edges that is analyzed to sew the edges together. The `marked` flag on @{link com.vividsolutions.planargraph.Edge}s and @{link com.vividsolutions.planargraph.Node}s indicates whether they have been logically deleted from the graph.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.planargraph.PlanarGraph
`dirEdges, edges, nodeMap`

Constructor Summary
`LineMergeGraph()`

Method Summary
`void` | `addEdge(LineString lineString)` Adds an Edge, DirectedEdges, and Nodes for the given LineString representation of an edge.

Methods inherited from class com.vividsolutions.jts.planargraph.PlanarGraph
`add, add, add, contains, contains, dirEdgeIterator, edgeIterator, findNode, findNodesOfDegree, getEdges, getNodes, nodeIterator, remove, remove, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineMergeGraph

    public LineMergeGraph()

Method Detail

### addEdge

    public void addEdge(LineString lineString)

  Adds an Edge, DirectedEdges, and Nodes for the given LineString representation of an edge. Empty lines or lines with all coordinates equal are not added.

  Parameters:
    `lineString` - the linestring to add to the graph

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD